Bug 366101 - double clicking mp3 opens rhythmbox instead of totem, so end user does not see codecbuddy
double clicking mp3 opens rhythmbox instead of totem, so end user does not se...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-04 15:41 EST by Niall C. Brady
Modified: 2014-01-21 18:00 EST (History)
1 user (show)

See Also:
Fixed In Version: 0.22-4.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-13 10:11:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niall C. Brady 2007-11-04 15:41:22 EST
Description of problem: clicking mp3 opens rhythmbox, therefore the end user
does not see the codecbuddy (as they would if totem was mapped as the
application to open mp3's).


Version-Release number of selected component (if applicable):


How reproducible: every time.


Steps to Reproduce:
1. double click on an mp3 PRIOR to loading any mp3 codecs
2. watch as rhythmbox opens and nothing happens.
3. scratch head.
  
Actual results:
no mp3 plays back, no codecbuddy wizard, nada.

Expected results:
codecbuddy should start or totem should start and then codecbuddy.


Additional info:
this was discussed
http://osnews.com/comment.php?news_id=18864&offset=75&rows=86&threshold=-1 and I
was asked to raise a bug, so here it is.
Comment 1 Bastien Nocera 2007-11-05 05:46:56 EST
Rhythmbox "missing-plugins" support is planned for F9, see the upstream bug:
http://bugzilla.gnome.org/show_bug.cgi?id=338308

In the meanwhile, I'll change shared-mime-info to default to totem for most of
the media bits.
Comment 2 Bastien Nocera 2007-11-05 06:10:29 EST
Pushed in the testing repository for zero-day update.
You can get the packages from:
http://koji.fedoraproject.org/koji/taskinfo?taskID=226085
Comment 3 Fedora Update System 2007-11-06 11:00:27 EST
shared-mime-info-0.22-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update shared-mime-info'
Comment 4 Nils Philippsen 2007-11-13 03:48:15 EST
Bastien, is that really the right thing to do? Last thing I heard was (roughly)
that rhythmbox would be the music player and totem the video player (we were
talking about gaps between CD tracks, remember? I can dig up the bug against
totem if you wish ;-)). I guess it makes sense that totem would temporarily be
the default for formats handled by codeina, but should it really be the default
for Ogg/Vorbis?
Comment 5 Bastien Nocera 2007-11-13 07:42:59 EST
One isn't worse than the other. Until we have the preferred media application
doing something (see bug 358481), the default application needs to be listed in
the defaults.list and having all the audio files associated to totem isn't as
much of a problem as having only a select number of audio types.

Missing plugins support is in rhythmbox 0.11.3-2.fc9
Comment 6 Nils Philippsen 2007-11-13 09:01:00 EST
Do you plan to issue an RB update for F8 with that version? I'd be willing to
guinea-pig this.
Comment 7 Bastien Nocera 2007-11-13 09:40:48 EST
(In reply to comment #6)
> Do you plan to issue an RB update for F8 with that version? I'd be willing to
> guinea-pig this.

I added it to rawhide this morning. Please test and report any bugs in another
bug report.
Comment 8 Nils Philippsen 2007-11-13 10:13:55 EST
I meant if there are F8 builds -- I don't have a Rawhide box handy.
Comment 9 Bastien Nocera 2007-11-13 10:34:33 EST
(In reply to comment #8)
> I meant if there are F8 builds -- I don't have a Rawhide box handy.

No, because it's not ready yet.
Comment 10 Bastien Nocera 2008-01-17 12:09:19 EST
Closing as rawhide, please reopen a new bug if there are any problems with the
missing-plugins support in Rhythmbox itself.
Comment 11 Fedora Update System 2008-02-13 10:11:00 EST
shared-mime-info-0.22-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.